---
external help file:
Module Name: VMware.vCAV.Community
online version:
schema: 2.0.0
---

# Get-vCAVSupportBundle

## SYNOPSIS
Returns a support bundle from the currently connected vCloud Availability service.

## SYNTAX

### Default (Default)
```
Get-vCAVSupportBundle [<CommonParameters>]
```

### ById
```
Get-vCAVSupportBundle -BundleId <String> [-Download <Boolean>] [<CommonParameters>]
```

## DESCRIPTION
Returns a support bundle from the currently connected vCloud Availability service.
A Support Bundle can be generated by calling the New-vCAVSupportBundle cmdlet.

## EXAMPLES

### EXAMPLE 1
```
Get-vCAVSupportBundle
```

Returns all availabile support bundles for the currently connected vCloud Availability Service

### EXAMPLE 2
```
Get-vCAVSupportBundle -BundleId "1676f615-aa4b-4c16-ae59-ab8c8ec7f28b"
```

Returns the details of the support bundle with the Id "1676f615-aa4b-4c16-ae59-ab8c8ec7f28b" on the currently connected vCloud Availability Service if it exists

### EXAMPLE 3
```
Get-vCAVSupportBundle -BundleId "1676f615-aa4b-4c16-ae59-ab8c8ec7f28b" -Download $true
```

Returns the details of the support bundle with the Id "1676f615-aa4b-4c16-ae59-ab8c8ec7f28b" on the currently connected vCloud Availability Service if it exists and downloads the buddle to the current working directory

## PARAMETERS

### -BundleId
The Support Bundle ID to query, if not provided all support bundles will be returned

```yaml
Type: String
Parameter Sets: ById
Aliases:

Required: True
Position: Named
Default value: None
Accept pipeline input: True (ByValue)
Accept wildcard characters: False
```

### -Download
If True will download the support bundle retunred to the current directory with the filename specified in the Support Bundle

```yaml
Type: Boolean
Parameter Sets: ById
Aliases:

Required: False
Position: Named
Default value: False
Accept pipeline input: False
Accept wildcard characters: False
```

### CommonParameters
This cmdlet supports the common parameters: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutVariable, -OutBuffer, -PipelineVariable, -Verbose, -WarningAction, and -WarningVariable. For more information, see [about_CommonParameters](http://go.microsoft.com/fwlink/?LinkID=113216).

## INPUTS

## OUTPUTS

## NOTES
AUTHOR: Adrian Begg
LASTEDIT: 2019-03-15
VERSION: 1.0

## RELATED LINKS
